/**
 * Description: 客户信息业务接口
 * Copyright:   Copyright (c)2017
 * Company:     江苏三六五网络股份有限公司
 * @author:     江苏三六五网络股份有限公司
 * @version:    1.0
 * Create at:   2017-12-05 下午 19:21:01
 *  
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2017-12-05   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.service.interfaces;

import com.house365.beans.entity.CustomerEntity;
import com.house365.beans.entity.MarketingActivityEntity;
import com.house365.rest.exception.ServiceRunException;
import com.house365.service.system.Interfaces.Service;
import com.house365.beans.entity.MarketCustomerEntity;

import java.util.List;

/**
 * 客户信息业务接口<br>
 * 
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2017-12-05
 * @see
 * @since 1.0
 */
public interface IMarketCustomerService<T extends MarketCustomerEntity> extends Service<T> {
    Integer queryProtectCount(String phone);

    void clean();

    void updateSignupSourceName();

    Integer queryCustomerCountByActive(Integer activeId);

    List<MarketCustomerEntity> queryByIds(String customerIds);

    List<MarketCustomerEntity> getUseMarketingActivity(MarketCustomerEntity marketcustomerentity);

    MarketCustomerEntity queryByCustomerid(Integer custmerId);

    void removeCustomer(CustomerEntity custmerId, Integer userId) throws ServiceRunException;

}
